Bug 225288 - emulators/virtualbox-ose 5.2.6 fails to restart VM paused on 5.2.4
Summary: emulators/virtualbox-ose 5.2.6 fails to restart VM paused on 5.2.4
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: vbox
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-18 00:34 UTC by rkoberman
Modified: 2018-02-28 01:07 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (vbox)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rkoberman 2018-01-18 00:34:51 UTC
If emulators/virtualbox-ose 5.2.6 tries to resume a paused VM from 5.2.4, it fails to start with the error:
VBoxManage: error: ich9pci#0: Device in slot 0xc0 has been removed! vendor=0x8086 device=0x2448 [ver=3 pass=final] (VERR_SSM_LOAD_CONFIG_MISMATCH)
VBoxManage: error: Details: code NS_ERROR_FAILURE (0x80004005), component ConsoleWrap, interface IConsole

If the VM is shutdown prior to the upgrade, it starts normally.

Perhaps a note in UPDATING?
Comment 1 VVD 2018-02-10 19:32:49 UTC
Same here.
Comment 2 VVD 2018-02-10 19:40:51 UTC
(In reply to rkoberman from comment #0)
Did you report this bug to upstream?
https://www.virtualbox.org/wiki/Bugtracker
Comment 4 VVD 2018-02-27 23:48:40 UTC
> * Status changed from reopened to closed
> * Resolution set to wontfix
>
> This is a side effect of a code cleanup in 5.2.6. In the past with ICH9 there were unconditionally 2 bridges present, and now they're only present if the VM config needs them. The result is what you observed - a saved state incompatibility. It would be possible to fix this, but it's very hard to justify this effort for a feature which is marked as experimental, without having any explanation why ICH9 was picked.
> 
> If someone volunteers (and the error message is a good hint where the change would need to be) then of course we'd integrate a sensible fix/workaround, but otherwise it'll simply stay this way.
https://www.virtualbox.org/ticket/9347#comment:7
Comment 5 Walter Schwarzenfeld freebsd_triage 2018-02-28 01:07:18 UTC
I think requested was not a solution, only:

=> Perhaps a note in UPDATING.